<?php

App::uses('EvTestimonialsAppController', 'EvTestimonials.Controller');

class TestimonialsController extends EvTestimonialsAppController
{
	public function beforeFilter()
	{
		parent::beforeFilter();

		$this->Auth->allow(array(
			'index',
			'view'
		));
	}

	public function index()
	{
		$Model = $this->{$this->modelClass};

		// Get the page details for headers / meta data
		$page_id = Configure::read('EvTestimonials.page_id');

		if (! empty($page_id)) {

			$this->assignPage($page_id);
		}

		// get the actual testimonials
		$this->paginate = $Model->_listingQueryArray();
		$testimonials = $this->paginate();

		$this->set('testimonials', $testimonials);

		$this->view = 'EvTestimonials.Testimonials/index';
	}

}
